euca-describe-snapshots gives different output than ec2-describe-snapshots

Bug #547059 reported by Scott Moser on 2010-03-25
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Eucalyptus
Fix Released
Undecided
chris grzegorczyk
eucalyptus (Ubuntu)
Low
Dustin Kirkland 

Bug Description

Binary package hint: euca2ools

euca-describe-snapshots returns a larger list than ec2-describe-snapshots.

$ ec2-describe-snapshots
SNAPSHOT snap-db437fb2 vol-6535e60c completed 2010-03-05T01:01:40+0000 100% 950047163771 15

$ euca-describe-snapshots | wc -l
198

The issues is that ec2-describe-snapshots is querying with 'restorableBySet' set to 'self' if no snapshot ids are given. euca-describe-snapshots does not put any filters on other than image.

If snapshot is provided, then the list is sent with empty restorableBySet.

ProblemType: Bug
Architecture: amd64
Date: Thu Mar 25 12:53:29 2010
DistroRelease: Ubuntu 10.04
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
Package: euca2ools 1.2-0ubuntu6
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: euca2ools
Uname: Linux 2.6.32-16-generic x86_64

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :

The attached patch applies to lp:~eucalyptus-maintainers/euca2ools/euca2ools

The linked branch above ( lp:~smoser/ubuntu/lucid/euca2ools/euca2ools.dev ) is against ubuntu packaging branch.

tags: added: patch
Scott Moser (smoser) wrote :

Well, the suggested patch cannot be applied to euca2ools because of a bug in Eucalyptus.

If applied, then 'euca-describe-snapshots' without any arguments will hang, eventually returning with:
$ euca-describe-snapshots
Warning: failed to parse error message from AWS: <unknown>:1:0: syntax error
BotoServerError: 500 Internal Server Error
Failure: 500 Internal Server Error

In cloud-debug.log, you will see output like attached file.

13:40:56 DEBUG [NioServerHandler:New I/O server worker #1-37] Internal Error.
com.eucalyptus.ws.BindingException: Failed to bind the following fields:
RestorableBy = self

        at com.eucalyptus.ws.handlers.EucalyptusQueryBinding.bind(EucalyptusQueryBinding.java:120)

I think the basic problem is the server doesn't recognize 'restorableBy', I've tried putting an ID there also.

Scott Moser (smoser) wrote :

Given the above, and the fact that boto 1.8 does not recognized the 'restorable_by' param to get_all_snapshots, I don't think this can be resolved at the present time.

We could work around the limitation in boto 1.8, and provide the right results in 1.9, but without server support it doesn't seem possible.

I think this will have to be a limitation for lucid. I will back out the commit in the branch linked.

for future reference, the patch attached here will work given server support and boto 1.9.

Changed in eucalyptus:
assignee: nobody → chris grzegorczyk (chris-grze)
status: New → In Progress
Neil Soman (neilsoman) wrote :

Committed Chris' fix as revno 1215 to Eucalyptus.

Changed in eucalyptus:
status: In Progress → Fix Committed
chris grzegorczyk (chris-grze) wrote :

So the problem here is that Owner and RestorableBy were misnamed (OwnerSet and RestorableBySet, respectively). No change should be needed to euca2ools or boto.

chris

Scott Moser (smoser) on 2010-03-26
Changed in euca2ools (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Changed in euca2ools (Ubuntu):
assignee: nobody → Dustin Kirkland (kirkland)
assignee: Dustin Kirkland (kirkland) → nobody
affects: euca2ools (Ubuntu) → eucalyptus (Ubuntu)
Changed in eucalyptus (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Dustin Kirkland (kirkland)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eucalyptus - 1.6.2-0ubuntu26

---------------
eucalyptus (1.6.2-0ubuntu26) lucid; urgency=low

  * Cherry-pick merge from upstream 1.6.2, now on revision 1217
    - LP: #534877 - fix potential db connection leak when no
      default kernel/ramdisk set
    - LP: #534868 - update expiration deadline
    - LP: #534869 - correct misleading error message
    - LP: #437026 - fix auth failures due to timezone
    - LP: #535335 - fix display of failed volumes
    - LP: #537058 - fix creation of large numbers of volumes
    - LP: #538604 - remember storage stats across sc restarts
    - LP: #547059 - fix euca-describe-snapshots
    - LP: #544992 - fix get-all-keys
 -- Dustin Kirkland <email address hidden> Mon, 29 Mar 2010 12:48:13 -0500

Changed in eucalyptus (Ubuntu):
status: In Progress → Fix Released
Changed in eucalyptus:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers